BASIC OPERATION

This chapter describes the basic operation of the e-Filing Backup-Restore.

After the e-Filing Backup-Restore is started but not yet operated, if the time set for "Session timer" in the WEB setting on TopAccess has passed, it will be timed out.

» "Basic operations of e-Filing Backup-Restore"

Go to Top


Basic operations of e-Filing Backup-Restore

You can back up and restore e-Filing data (image data / various setting data) in a MFP using the e-Filing Backup-Restore.

» "Launching e-Filing Backup-Restore"

» "Backing up e-Filing data"

» "Restoring e-Filing data"

To back up or restore e-Filing data, the FTP server option in the MFP needs to be enabled. The FTP option can be set in the Network setting in TopAccess. Refer to the TopAccess Guide for details.

The e-Filing data backed up can be restored for the models in the same series.


Launching e-Filing Backup-Restore

The e-Filing Backup-Restore is started by the following procedure.

  1. Click the start button, select [All Programs], and click [e-Filing Backup-Restore] in the [Okidata] program folder.

    2. The [e-Filing Backup-Restore Login] dialog box appears.

    When you use the e-Filing Backup-Restore and access your MFP for the first time, the [Local Discovery] dialog box appears. If this dialog box appears, establish the connection to your MFP. » "When you launch the e-Filing Backup-Restore for the first time"

    If you enter an invalid authentication password several times to log into the MFP, you may not be able to log in for a certain period since it will be regarded as an unauthorized access.

  2. Enter the administrator password and click [OK].

    3. Use the administrator password which is set to allow the connection of the MFP.

  3. The e-Filing Backup-Restore main window appears.

    4. For more information about the above window, see the following page:

    » "How to use the main window"


When you launch the e-Filing Backup-Restore for the first time

When you use the e-Filing Backup-Restore and access your MFP for the first time, the [Local Discovery] dialog box appears. In this case, you can either use the local discovery feature to automatically search the network for your MFP or enter the MFP's IP address manually.

» "Searching MFPs automatically"

» "Entering IP address manually"

You can also change a target device to back up or restore e-Filing data. To do this, you must add an additional connection to the other MFPs by using the Local Discovery function. » "Registering additional MFPs"


Searching MFPs automatically

The following steps provide an example on Windows 7. The steps are the same on any other Windows OS.

  1. In the [Local Discovery] dialog box, click [Start Discovery].

    2. The local discovery feature locates MFPs on your network.

  2. When the process has been completed, the found devices are listed in the window.

    3. You can quit the process by clicking [Stop Discovery].

    Devices in different segments may not be found. If you cannot find your MFP, do so manually from [Manual Selection]. » "Entering IP address manually"

    The search process may take a long time especially when many clients exist on the network. In this case, change the discovery settings from [Advanced]. » "Specifying search conditions"

    The local discovery feature cannot detect MFPs on an IPX/SPX network.

    The target MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings on the [SNMP Settings] dialog box. » "Changing SNMP settings"

  3. From the list of the found devices, select the name of your MFP and click [OK].

    4. The e-Filing Backup-Restore connects to the selected MFP and displays the [e-Filing Backup-Restore Login] dialog box.

    If your attempt to find the target MFP fails, try to find it by manually entering its IP address. » "Entering IP address manually"

    When authentication screens appear, enter the necessary information below to log on to the MFP. For details, ask the administrator. User management: User name, Password, Domain (Windows Domain Authentication only)


Entering IP address manually

The following steps provide an example on Windows Vista. The steps are the same on any other Windows OS.

  1. In the [Local Discovery] dialog box, click [Manual Selection].

    2. The [Manual Selection] dialog box appears.

  2. Enter the following items and click [OK].

    3. IPv4 IP Address -- Select this option to specify the device in the IPv4 address. If this option is selected, enter the IPv4 address of your MFP.

    IPv6 IP Address -- Select this option to specify the device in the IPv6 address. If this option is selected, enter the IPv6 address of your MFP.

    IPX Address -- This is disabled because the e-Filing Backup-Restore does not support an IPX/SPX connection.

    Name -- Enter the name of your MFP.

    Location -- Enter the location of your MFP.

    [SNMP Settings] -- Click this button when you need to verify and/or change the SNMP settings.

    » "Changing SNMP settings"

    You must fill in the [Name] and [IP Address] boxes.

  3. The device specified in Step 2 is added to the list. Select the name of the added MFP and click [OK].

    4. The e-Filing Backup-Restore connects to the selected MFP and displays the [e-Filing Backup-Restore Login] dialog box.

    The target MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings on the [SNMP Settings] dialog box. » "Changing SNMP settings"

    When authentication screens appear, enter the necessary information below to log on to the MFP. For details, ask the administrator. User management: User name, Password, Domain (Windows Domain Authentication only)


How to use the main window

When you launch the e-Filing Backup-Restore, the e-Filing Backup-Restore main window appears. This window allows you to perform various functions.

Menu bar

You can select various functions from the menu.

File menu:

Backup Data -- Click this menu to display the Backup tab. This is available only when displaying the [Restore] tab.
Restore Data -- Click this menu to display the Restore tab. This is available only when displaying the [Backup] tab.
Automatic Backup -- Click this menu to configure the automatic backup function. This is available only when displaying the [Backup] tab. » "Backing up e-Filing data automatically"
Exit -- Click this menu to close the e-Filing Backup-Restore main window.

Edit menu:

Select All -- Click this menu to select all check boxes of the e-Filing boxes displayed in the contents window.
Clear All -- Click this menu to clear all check boxes of the e-Filing boxes displayed in the contents window.

View menu:

Refresh -- Click this menu to update the information in the contents window.

Devices menu:

Device Discovery -- Click this menu to add a new connection to the MFPs on the network for the e-Filing Backup-Restore. » "Registering additional MFPs"
Select OKI -- Click this menu to change the target device to back up or restore e-Filing data. » "Switching between connections"
Initialize e-Filing storage -- Click this menu to initialize the e-Filing boxes before restoring e-Filing data. This is available only when displaying the [Restore] tab. » "Initializing e-Filing storage"

Help menu:

Help -- Click this menu to display online help.
About -- Click this menu to display the version information.

Backup/Restore tabs

Click the [Backup] tab to operate backing up e-Filing data. Click the [Restore] tab to operate restoring e-Filing data.

Target File

When the [Backup] tab is displayed, enter the backup file name. When the [Restore] tab is displayed, enter the restore file name.

Backup Type Setting/Backup Property

When the [Backup] tab is displayed, the Backup Type Setting is displayed. In the Backup Type Setting, select how this backs up the data.
Full Backup --Back up all the data in the selected boxes.
Incremental Backup --Back up only the updated data since the last backup.
When the [Restore] tab is displayed, the backup property of the backup data that you specify is displayed in the [Target File] box.

Contents windows

When the [Backup] tab is displayed, this displays the boxes that the target device includes. When the [Restore] tab is displayed, this displays the boxes that the selected restore file includes.

[Backup]/[Restore]

When the [Backup] tab is displayed, the [Backup] will be displayed. Click this to back up e-Filing data from the MFP. » "Backing up e-Filing data manually" When the [Restore] tab is displayed, the [Restore] will be displayed. Click this to restore e-Filing data into the MFP. » "Restoring e-Filing data"

IP address

This displays the IP address of the MFP.

Status bar

This displays the status, IP address, and communication status to the MFP.


Backing up e-Filing data

The e-Filing Backup-Restore allows you to create a backup file for e-Filing data from your MFP. The following two ways are available to create a backup file:

» "Backing up e-Filing data manually"

» "Backing up e-Filing data automatically"

Please make sure that the backup data do not exceed 4 GB.

Backing up cannot be performed while any users are accessing e-Filing boxes by using the e-Filing web utility or touch panel display, or any jobs are currently being processed in the MFP. Please make sure no user is accessing e-Filing boxes before backing up e-Filing data, and no jobs are being processed in the MFP.

While backing up the e-Filing data, any operations using the touch panel display will be disabled. The TopAccess and e-Filing web utility will also be disabled.

While backing up the e-Filing data, any print jobs, Network Fax jobs, and received faxes are held in the MFP until backing up has been completed.

Backing up the e-Filing data may take a few hours. Therefore, if the MFP receives many print jobs, Network Fax jobs, or received faxes while backing up the e-Filing data, a Job Full error may occur.


Backing up e-Filing data manually

Follow the steps below to back up e-Filing data manually from your MFP.

  1. Click [Browse] in the [Backup] tab.

    2. The [Open] dialog box appears.

    You can also enter the path to save a backup file directly in the [Target File] box. However, a backup file cannot be saved when you specify the path by using an IP address. When you want to specify a network folder, enter the network path without using an IP address.

  2. Locate the folder in which you want to save a backup file, change the file name as required, and click [Open].

    3. The folder in which you want to save the file must be created beforehand.

    The backup file is saved as a ZIP file.

  3. Click [Yes].
  4. Select the backup type.

    5. Full Backup -- Back up all the data in the selected boxes.

    Incremental Backup -- Back up only the updated data since the last backup.

  5. Select the check boxes for the e-Filing boxes that you want to back up, and click [Backup].

    6. Backing up e-Filing data starts. When backing up e-Filing data has been completed, the [Backup Information] dialog box appears.

    Please make sure that sufficient hard disk space for saving a backup file is available in your computer. The size of a backup file may reach the same size as that of the e-Filing box disk space.

  6. Click [OK].


Backing up e-Filing data automatically

You can configure the schedule to back up e-Filing data by using the Automatic Backup function.

When you close the e-Filing Backup-Restore, the Automatic Backup setting is cleared and becomes invalid. For periodic automatic backup, the e-Filing Backup-Restore needs to remain open in an always-on client computer.

  1. Click [Browse] in the [Backup] tab.

    2. The [Open] dialog box appears.

    You can also enter the path to save a backup file directly in the [Target File] box. However, a backup file cannot be saved when you specify the path by using an IP address. When you want to specify a network folder, enter the network path without using an IP address.

  2. Locate the folder in which you want to save a backup file, change the file name as required, and click [Open].

    3. The folder in which you want to save the file must be created beforehand.

    The backup file is saved as a ZIP file.

  3. Click [Yes].
  4. Select the backup type.

    5. Full Backup --Back up all the data in the selected boxes.

    Incremental Backup --Back up only the updated data since the last backup.

  5. Select the check boxes for the e-Filing boxes that you want to back up automatically, and select [Automatic Backup] from the [File] menu.

    6. The [Automatic Backup] dialog box appears.

  6. Specify the following items and click [Set].

    7. Start Date and Time -- Specify the date and time to start backing up e-Filing data automatically. You cannot specify a date more than 6 months later.

    Repeat Interval -- Select the interval to apply the automatic backup from "Only once", "Daily", "Weekly", or "Monthly".

    Setting -- Select whether the automatic backup will be performed when any of the selected boxes have been deleted.

  7. The automatic backup function is enabled and the operation in the main window is disabled.

    8. When you want to cancel the automatic backup, click [Cancel Schedule], or select [Exit] in the [File] menu.


Restoring e-Filing data

e-Filing Backup-Restore allows you to restore e-Filing data from a backup file into your MFP. Follow the steps below to restore e-Filing data to your MFP.

Restoring cannot be performed while any users are accessing e-Filing boxes by using the e-Filing web utility or touch panel display, or any jobs are currently being processed in the MFP. Please make sure no user is accessing e-Filing boxes before restoring e-Filing data, and no jobs are being processed in the MFP.

While restoring e-Filing data, any operations using the touch panel display will be disabled. The TopAccess and e-Filing web utility will also be disabled.

While restoring the e-Filing data, any print jobs, Network Fax jobs, and received faxes are held in the MFP until restoring has been completed.

Restoring the e-Filing data may take a few hours. Therefore, if the MFP receives many print jobs, Network Fax jobs, or received faxes while restoring the e-Filing data, a Job Full error may occur.

When you want to delete all e-Filing data in the MFP and restore e-Filing data from the backup file, initialize e-Filing storage before restoring the data. » "Initializing e-Filing storage"

  1. Click the [Restore] tab and click [Browse].

    2. The [Open] dialog box appears.

  2. Select a backup file that you want to restore, and click [Open].
  3. Select the check boxes of the e-Filing boxes that you want to restore and click [Restore].

    4. The [Restore Mode Settings] dialog box appears.

  4. Select whether to overwrite documents with the backup data, and click [OK].

    5. Restoring e-Filing data starts. When restoring e-Filing data has been completed, the [Restore Information] dialog box appears.

    When the same box number exists in the MFP, the box properties, such as the box name and password setting, cannot be restored from the backup file.

  5. Click [OK].


Initializing e-Filing storage

When you want to delete all e-Filing data in your MFP before restoring, perform the following operations:

Initializing e-Filing storage cannot be performed while any users are accessing e-Filing boxes by using the e-Filing web utility or touch panel display, or any jobs are currently being processed in your MFP. Please make sure no user is accessing e-Filing boxes before initializing e-Filing data, and no jobs are being processed in your MFP.

  1. Click the [Restore] tab and select [Initialize e-Filing storage] from the [Devices] menu.

    2. The [Confirm Initialize] dialog box appears.

  2. Click [Yes].

    3. e-Filing storage starts initializing and all e-Filing data will be deleted.


USEFUL FUNCTIONS AND SETTINGS

This chapter describes useful functions and settings of the e-Filing Backup-Restore.

» "Registering and Switching Multiple MFPs"

» "Changing Network Discovery Settings"


Registering and Switching Multiple MFPs

You can register and switch multiple MFPs for connection.

» "Registering additional MFPs"

» "Switching between connections"


Registering additional MFPs

If your network has multiple MFPs, you can search the network for additional connections. Registering additional MFPs on the e-Filing Backup-Restore allows you to back up or restore e-Filing data on each MFP.

To add a new connection, click the [Devices] menu and select [Device Discovery]. The [Local Discovery] dialog box appears, where you can register an additional MFP on your network. For details, see the following page:

» "When you launch the e-Filing Backup-Restore for the first time"

Adding new connections to the connection list allows you to change the target MFP by selecting [Select OKI] from the [Devices] menu. » "Switching between connections"


Switching between connections

Once you have registered multiple MFPs, you can switch from one MFP to another and back up or restore e-Filing data by using the e-Filing Backup-Restore.

  1. Click the [Devices] menu and select [Select OKI].

    2. The [Select Device] dialog box appears.

  2. Select the MFP that you want to connect to, and click [OK].

    3. The target device is changed to the selected MFP.


Changing Network Discovery Settings

When you use the e-Filing Backup-Restore and connect to your MFP for the first time, or when registering an additional MFP, you need to find the target MFP on the network.

» "When you launch the e-Filing Backup-Restore for the first time"

» "Registering additional MFPs"

The search process may take a long time especially when a number of clients exist on the network. In this case, you can narrow down the search conditions on the [Discovery Settings] dialog box.

» "Specifying search conditions"

In addition, your attempt to find a MFP may fail due to the SNMP Network settings configured for the MFP. In this case, open the [SNMP Settings] dialog box and verify and/or change the settings.

» "Changing SNMP settings"

Ask the administrator for details of the SNMP Network settings configured for your MFP.


Specifying search conditions

If you want to specify the search conditions, click [Advanced] on the [Local Discovery] dialog box. On the [Discovery Settings] dialog box that appears, make the following settings as required:

Devices

Click the arrow button to display the drop-down list box and select the check box(es) for the MFPs to be searched for.

Network

"Enable IPX/SPX Search" This is disabled because the e-Filing Backup-Restore does not support the IPX/SPX connection. "Enable TCP/IP Search" Select this option to search for MFPs on your TCP/IP network. This option is available only when the TCP/IP protocols are installed on your computer. When this option is selected, you need to specify the detailed search conditions for MFPs on the network.
Search local subnet -- Select this option to search for MFPs on the local subnet. When this option is selected, select IPv4 or IPv6 check box for specifying the preferred protocol.
Specify a range -- Select this option to search for MFPs in a specific range of IP addresses. When this option is selected, select IPv4 or IPv6 check box and enter IP addresses in the [From] and [To] boxes to specify the range.

[SNMP Settings]

Click this button when you need to verify and/or change the SNMP settings. » "Changing SNMP settings"


Changing SNMP settings

If you cannot find the target MFPs on your network, the problem may be with SNMP settings. Verify the correct SNMP settings in the [SNMP Settings] dialog box and change the settings, if needed. The dialog box can be accessed by clicking [SNMP Settings] on the [Discovery Settings] (» "Specifying search conditions") or the [Manual Selection] dialog box (» "Entering IP address manually").

Ask the administrator for details of the SNMP Network settings configured for your MFP.

Version

Be sure to have the correct SNMP version set for your MFP and select from the following options:
V1/V2 --Select this option to enable SNMP V1 and V2.
V3 --Select this option to enable SNMP V3.
V1/V2/V3 (for the [Discovery Settings] dialog box only) --Select this option to enable SNMP V1, V2, and V3.

SNMP V1/V2

Community Name --If a community name other than "public" (default) is set for the SNMP community name for your MFP, enter its community name.

To find your MFP under the SNMP V1/V2 environment, the community name set for the target MFP must be specified correctly. For help, consult the administrator.

SNMP V3

If SNMP V3 is enabled, use the option button to select the method for authenticating users. User ID File --Select this option when you want to use a user ID file. Click [Browse] and specify the user ID file. User Name/Password --Select this option when you want to use the user name and password. When this option has been selected, key in or select each of the following items:
User Name
Authentication Protocol
Authentication Password
Privacy Protocol
Privacy Password

If you choose to enable SNMP V3, consult your network administrator for preliminary advice on how to authenticate users.

Each entry for User Name, Authentication Password, and Privacy Password can consist of up to 31 one-byte alphanumeric characters.

[Restore Default]

Click this button when you want to reset all the settings back to the factory defaults.


Version

Ver01 2013-05

OME120291A0